Subject: bug#26021: 25.1; GDB/GUD tooltip error

From: Live System User <[email-masked]>
Date: Thu, 16 Mar 2017 20:30:07 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Live System User <[email-masked]>
>> Date: Tue, 07 Mar 2017 18:53:34 -0500
>> 
>>         Not sure how to get a reproducible recipe but while in
>>         GDB when I do something like C-x C-f (find-file),
>>         sometimes I get the folloeing error:
>> 
>> Debugger entered--Lisp error: (wrong-type-argument markerp nil)
>>   marker-buffer(nil)
>>   (eq (tooltip-event-buffer gud-tooltip-event) (marker-buffer gud-overlay-arrow-position))
>>   (and (eq (tooltip-event-buffer gud-tooltip-event) (marker-buffer gud-overlay-arrow-position)))
>>   eval((and (eq (tooltip-event-buffer gud-tooltip-event) (marker-buffer gud-overlay-arrow-position))))
>>   gud-tooltip-tips((mouse-movement (#<window 12 on *Backtrace*> 2258 (709 . 70) 227820838 nil 2258 (74 . 3) nil (304 . 16) (9 . 18))))
>>   run-hook-with-args-until-success(gud-tooltip-tips (mouse-movement (#<window 12 on *Backtrace*> 2258 (709 . 70) 227820838 nil 2258 (74 . 3) nil (304 . 16) (9 . 18))))
>>   tooltip-timeout(nil)
>>   apply(tooltip-timeout nil)
>>   timer-event-handler([t 22719 16734 511876 nil tooltip-timeout (nil) nil 929999])
>
> Does it help to add the condition
>
>    (markerp gud-overlay-arrow-position)
>
> to the expression that is the value of the gud-tooltip-display
> defcustom?

      I added:
  
(add-to-list 'gud-tooltip-display '(markerp gud-overlay-arrow-position))

      yielding:

gud-tooltip-display is a variable defined in ‘gud.el.gz’.
[...]
Value: ((markerp gud-overlay-arrow-position)
 (eq
  (tooltip-event-buffer gud-tooltip-event)
  (marker-buffer gud-overlay-arrow-position)))

      to my GDB initiatizations and will see if I get the error again.

      Thanks.